// Code generated by go-swagger; DO NOT EDIT.

package models

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"github.com/go-openapi/strfmt"
	"github.com/go-openapi/swag"
)

// Role role
//
// swagger:model role
type Role struct {

	// role action list
	Actions []string `json:"actions"`

	// role creation date
	CreatedAt float64 `json:"created_at,omitempty"`

	// role deletion date
	DeletedAt float64 `json:"deleted_at,omitempty"`

	// role description
	Description string `json:"description,omitempty"`

	// role id
	ID int64 `json:"id,omitempty"`

	// role name
	Name string `json:"name,omitempty"`

	// role update date
	UpdatedAt float64 `json:"updated_at,omitempty"`
}

// Validate validates this role
func (m *Role) Validate(formats strfmt.Registry) error {
	return nil
}

// MarshalBinary interface implementation
func (m *Role) MarshalBinary() ([]byte, error) {
	if m == nil {
		return nil, nil
	}
	return swag.WriteJSON(m)
}

// UnmarshalBinary interface implementation
func (m *Role) UnmarshalBinary(b []byte) error {
	var res Role
	if err := swag.ReadJSON(b, &res); err != nil {
		return err
	}
	*m = res
	return nil
}
